CREATE TABLE IF NOT EXISTS `{#}fotokonkurs_konkursy` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(255) NOT NULL,
  `image` text DEFAULT NULL,
  `is_enabled` tinyint(1) UNSIGNED DEFAULT NULL,
  `status` float DEFAULT NULL,
  `prize_count` float DEFAULT NULL,
  `tenderer_count` float DEFAULT NULL,
  `set_start_date` timestamp NULL DEFAULT NULL,
  `set_end_date` timestamp NULL DEFAULT NULL,
  `contest_start_date` timestamp NULL DEFAULT NULL,
  `tender_end_date` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}fotokonkurs_points` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `data` timestamp NULL DEFAULT NULL,
  `konkurs_id` float DEFAULT NULL,
  `uchastnik_id` float DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE  IF NOT EXISTS`{#}fotokonkurs_uchastniki` (
  `id` int(10) UNSIGNED NOT NULL,
  `konkurs_id` int(11) NOT NULL,
  `is_enabled` tinyint(1) UNSIGNED DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `foto` text,
  `points` float DEFAULT NULL,
  `position` float DEFAULT NULL,
  `date` timestamp NULL DEFAULT NULL,
  `surname` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `number` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `{#}fotokonkurs_konkursy`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `{#}fotokonkurs_points`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `{#}fotokonkurs_uchastniki`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `{#}fotokonkurs_konkursy`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

ALTER TABLE `{#}fotokonkurs_points`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

ALTER TABLE `{#}fotokonkurs_uchastniki`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

INSERT INTO `{#}menu_items` (`menu_id`, `parent_id`, `title`, `url`, `ordering`, `options`, `groups_view`, `groups_hide`) VALUES
(1, 0, 'Фотоконкурс', 'fotokonkurs', 11, '---\ntarget: _self\nclass:\n', '---\n- 0\n', NULL);

INSERT INTO `{#}scheduler_tasks` (`title`, `controller`, `hook`, `period`, `date_last_run`, `is_active`, `is_new`) VALUES
('Перевод статуса конкурса', 'fotokonkurs', 'fotokonkurs', 1440, NULL, 1, 0);

INSERT INTO `{#}images_presets` (`name`, `title`, `width`, `height`, `is_square`, `is_watermark`, `wm_image`, `wm_origin`, `wm_margin`, `is_internal`, `quality`) VALUES
('fotokonkurs', 'Фотоконкурс', 190, 190, 1, NULL, NULL, 'top-left', NULL, NULL, 90);