<?php

class actionFotokonkursEditKonkurs extends cmsAction {
	
    public function run($id=false){

        if (!$id) { cmsCore::error404(); }

        $item = $this->model->getKonkurs($id);

        if (!$item) { cmsCore::error404(); }

        $user = cmsUser::getInstance();

        $is_can_edit = true;

        if (!$is_can_edit) { cmsCore::error404(); }

        $errors = false;

        $form = $this->getForm('konkurs');

        $is_submitted = $this->request->has('submit');				

        if ($is_submitted){

            $item = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this, $item);

            if (!$errors){
                $this->model->updateKonkurs($id, $item);
                $this->redirectToAction('konkurs', array($id));
            }

            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }

        }

        $template = cmsTemplate::getInstance();

        return $template->render('form_konkurs', array(
            'do' => 'edit',
            'form' => $form,
            'errors' => $errors,
            'item' => $item
        ));

    }
	
}