<?php

class actionFotokonkursLogin extends cmsAction {

    public static $u_inc;
    public $is_cacheable = false;

    public function run() {
        
        
         if (!$this->request->isAjax()) {
            cmsCore::error404();
        }

        if (!$this->isEnabled()) {

            cmsCore::error404();
        }
        
         $uloginid = $this->loadOptions('uloginid');

        if (empty($uloginid)) {
            $ulogin = cmsCore::getController('ulogin');
            $uloginid = $ulogin->loadOptions('uloginid');
            $uloginid = !empty($uloginid['uloginid']) ? $uloginid['uloginid'] : '';
        }

        if (empty($uloginid)) {
            $uloginid = '';
        }

        $u_id = 'ulogin_' . $uloginid . '_' . intval(self::$u_inc);

        $callback = 'uloginCallback';
        $redirect = urlencode(href_to_abs('ulogin', 'login'));

        self::$u_inc++;

//        if (empty($uloginid)) {
//            $this->setTemplate('panel_default');
//        } else {
//            $this->setTemplate('panel');
//        }




        return $this->cms_template->render('fotokonkurs_login', array(
                    'id' => $u_id,
                    'uloginid' => $uloginid,
                    'callback' => $callback,
                    'redirect' => $redirect,
        ));
    }

}
