<?php

class formFotokonkursKonkurs extends cmsForm {

    public function init() {

        return array(
            array(
                'type' => 'fieldset',
                'title' => LANG_FOTOKONKURS_PARAM,
                'childs' => array(
                        new fieldImage('image', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_IMAGE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_IMAGE_HINT,
                         'options' => array(
                            'sizes' => array('small', 'original', 'normal','big')),
                                                 
                        )),
                    new fieldString('title', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_TITLE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_TITLE_HINT,
                        'rules' => array(
                            array('required'),
                        ))),
                    new fieldNumber('prize_count', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_PRIZE_COUNT,
                        'hint' => LANG_FOTOKONKURS_KONKURS_PRIZE_COUNT_HINT,
                        'default' => 3,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldNumber('tenderer_count', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_TENDERER_COUNT,
                        'hint' => LANG_FOTOKONKURS_KONKURS_TENDERER_COUNT_HINT,
                        'default' => 0,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                )),
            array(
                'type' => 'fieldset',
                'title' => LANG_FOTOKONKURS_PERIOD_NABORA,
                'childs' => array(
                    new fieldDate('set_start_date', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_SET_START_DATE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_SET_START_DATE_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldDate('set_end_date', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_SET_END_DATE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_SET_END_DATE_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                )),
            array(
                'type' => 'fieldset',
                'title' => LANG_FOTOKONKURS_PERIOD_PROV,
                'childs' => array(
                    new fieldDate('contest_start_date', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_CONTEST_START_DATE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_CONTEST_START_DATE_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldDate('tender_end_date', array(
                        'title' => LANG_FOTOKONKURS_KONKURS_TENDER_END_DATE,
                        'hint' => LANG_FOTOKONKURS_KONKURS_TENDER_END_DATE_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                )),
        );
    }

}
