<?php

class actionFotokonkursAddKonkurs extends cmsAction {

    public function run() {
        
        if (!$this->cms_user->is_admin){ cmsCore::error404();}

        $errors = false;

        $form = $this->getForm('konkurs');

        $is_submitted = $this->request->has('submit');
        
        $item = array(
            'is_enabled' => true,
            'status'=>0,
        );

        $item = array_merge($item, $form->parse($this->request, $is_submitted));

        if ($is_submitted) {

            $errors = $form->validate($this, $item);

            if (!$errors) {
                $item_id = $this->model->addKonkurs($item);
                $this->redirectToAction('');
            }

            if ($errors) {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        $template = cmsTemplate::getInstance();

        return $template->render('form_konkurs', array(
                    'do' => 'add',
                    'form' => $form,
                    'errors' => $errors,
                    'item' => $item
        ));
    }

}
