<?php

class actionFotokonkursUchastnik extends cmsAction {

    public function run($id = false) {

         if (!$this->options['uchastnik_page'] & !$this->cms_user->is_admin ){
             cmsCore::error404();
         }
        if (!$id) {
            cmsCore::error404();
        }

        $uchastnik = $this->model->getUchastnik($id);

        $konkurs_item = $this->model->getKonkurs($uchastnik['konkurs_id']);

        if (!$uchastnik) {
            cmsCore::error404();
        }


        return $this->cms_template->render('uchastnik', array(
                    'uchastnik' => $uchastnik,
                    'konkurs_item' => $konkurs_item
        ));
    }

}
